# Class ExpectBuffer

java.lang.Object
com.sun.grid.util.expect.ExpectBuffer

public class ExpectBuffer extends Object
An `ExpectBuffer` holds the content of stdout and sterr of a process. `ExpectHandler`s can use the `consume...` method to consome content. The `Expect`object uses the `append` methods to add new content to the buffer.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`NL`

## Constructor Summary

Constructors
Constructor
Description
`ExpectBuffer()`

## Method Summary

Modifier and Type
Method
Description
`void`
`append(char[] s, int offset, int len)`
Add new content to the buffer
`void`
`append(String s)`
Add new content to the buffer
`String`
`consume(String s)`
Search the first occurancy of `s` is the buffer and consume it (`s` is also consumed).
`String`
`consumeLine()`
The consume the content of the buffer until the next linefeed.
`String`
`consumeLine(String prefix)`
Search a line which contains with `prefix` and consume it.
`int`
`length()`
get the length of the buffer

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### NL

public static final String NL

## Constructor Details

### ExpectBuffer

public ExpectBuffer()

## Method Details

### append

public void append(char[] s, int offset, int len)
Add new content to the buffer

Parameters:
  `s` - char array with the content
  `offset` - offset in the char array
  `len` - len of the the content

### append

public void append(String s)
Add new content to the buffer

Parameters:
  `s` - a string with the content

### length

public int length()
get the length of the buffer

Returns:
  length of the buffer

### consume

public String consume(String s)
Search the first occurancy of `s` is the buffer and consume it (`s` is also consumed). If the content of the buffer is "1234" a consume("2") will remove "12".

Parameters:
  `s` - the search string
Returns:
  the consumed string ("12")

### consumeLine

public String consumeLine(String prefix)
Search a line which contains with `prefix` and consume it. If the content of a buffer is "1\\n123\\m" a consumeLine("2") will consume "1\\n122\\n".

Parameters:
  `prefix` - the prefix
Returns:
  the consumed string

### consumeLine

public String consumeLine()
The consume the content of the buffer until the next linefeed.

Returns:
  the consumed string